# -*- coding: utf-8 -*-
"""
-------------------------------
(c) Universite catholique de Louvain, 2019

Creation : 2019 by O. Lantsoght
Last update : 2019

version MBsysC v1.11.2

-------------------------------
Portable Python interface to MBsysC using Ctypes.

Forward declaration of all required MBsysC structure.

"""

import ctypes


#==============================================================================
# Global parameter of the current module
#==============================================================================
__DEBUG__ = False


#==============================================================================
# forward declaration of structures (C) as class
#==============================================================================
class MbsInfos_c(ctypes.Structure):
    pass
class MbsInfoBase_c(ctypes.Structure):
    pass
class MbsInfoBodytree_c(ctypes.Structure):
    pass
class MbsInfoBody_c(ctypes.Structure):
    pass
class MbsInfoJoint_c(ctypes.Structure):
    pass
class MbsInfoRefPoint_c(ctypes.Structure):
    pass
class MbsInfoCuts_c(ctypes.Structure):
    pass
class MbsInfoLinks_c(ctypes.Structure):
    pass
class MbsInfoLink_c(ctypes.Structure):
    pass
class MbsInfoUserModels_c(ctypes.Structure):
    pass
class MbsInfoUserModel_c(ctypes.Structure):
    pass
class MbsInfoUserIOs_c(ctypes.Structure):
    pass
class MbsInfoParameter_c(ctypes.Structure):
    pass
class MbsInfoPoint_c(ctypes.Structure):
    pass
class MbsInfoSensor_c(ctypes.Structure):
    pass
class MbsInfoExtforce_c(ctypes.Structure):
    pass
class MbsInfoOpti_c(ctypes.Structure):
    pass
class MbsLoadOptions_c(ctypes.Structure):
    pass
class MbsLoader_c(ctypes.Structure):
    pass
class MbsData_c(ctypes.Structure):
    pass
class MbsDataLibInfo_c(ctypes.Structure):
    pass
class Functions_c(ctypes.Structure):
    pass
class user_c(ctypes.Structure):
    pass
class symb_c(ctypes.Structure):
    pass
class UserIO_c(ctypes.Structure):
    pass
class UserIoInfo_c(ctypes.Structure):
    pass
class UserModel_c(ctypes.Structure):
    pass
class MbsPartOptions_c(ctypes.Structure):
    pass
class MbsPart_c(ctypes.Structure):
    pass
class MbsDirdyn_c(ctypes.Structure):
    pass
class MbsDirdynOptions_c(ctypes.Structure):
    pass
class MbsInvdyn_c(ctypes.Structure):
    pass
class MbsLutRes_c(ctypes.Structure):
    pass
class MbsSolvekinOptions_c(ctypes.Structure):
    pass
class MbsSolvekin_c(ctypes.Structure):
    pass
class MbsBuffer_c(ctypes.Structure):
    pass
class MbsGrowingBuffer_c(ctypes.Structure):
    pass
class MbsAux_c(ctypes.Structure):
    pass
class MbsEquil_c(ctypes.Structure):
    pass
class MbsEquilOptions_c(ctypes.Structure):
    pass
class MbsModal_c(ctypes.Structure):
    pass
class MbsModalOptions_c(ctypes.Structure):
    pass
class MbsModalMode_c(ctypes.Structure):
    pass
class MbsSensor_c(ctypes.Structure):
    pass
class AnimInfo_c(ctypes.Structure):
    pass
class MbsLpk_c(ctypes.Structure):
    pass
class MbsSS_c(ctypes.Structure):
    pass