# -*- coding: utf-8 -*-
"""
-------------------------------
(c) Universite catholique de Louvain, 2019

Creation : 2019 by O. Lantsoght
Last update : 2019

version MBsysC v1.11.2

-------------------------------
Portable Python interface to MBsysC using Ctypes.

Declaration of MBsysC structure related to mbs_sensor_struct.h file in MBsysC.

"""

import ctypes

# importing MBsysC related classes
from .forward_decl import MbsSensor_c


#==============================================================================
# Global parameter of the current module
#==============================================================================
__DEBUG__ = False


#==============================================================================
# MbsSensor_c
#==============================================================================
MbsSensor_c._fields_ = [
        ("P",       ctypes.c_double*(3+1)),
        ("R",       ctypes.POINTER(ctypes.POINTER(ctypes.c_double))),
        ("V",       ctypes.c_double*(3+1)),
        ("OM",      ctypes.c_double*(3+1)),
        ("A",       ctypes.c_double*(3+1)),
        ("OMP",     ctypes.c_double*(3+1)),
        ("J",       ctypes.POINTER(ctypes.POINTER(ctypes.c_double)))
        ]