import setuptools

with open("Readme_MBsysPy.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="MBsysPy",
    version="0.0.16",
    author="Robotran team",
    author_email="info@robotran.be",
    description="An interface of MBsysC which is a scientific tool dedicated to the analysis of rigid multibody systems.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.immc.ucl.ac.be/robotran/mbsysc",
    packages=setuptools.find_packages(),
    package_data={'MBsysPy': ['libs64/linux/*.so', 
                              'libs64/windows/*.dll',
                              'libs64/darwin/*.dylib', 
                              'templates/symbolic/*.py', 
                              'templates/user/*.py']
                              },
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires='>=2.7',
)
